Package org.gradle.api.tasks.testing

## Class TestReport

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.tasks.testing.TestReport

- All Implemented Interfaces:
    `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `ExtensionAware`, `Task`, `Configurable<Task>`

      @DisableCachingByDefault(because="Not made cacheable, yet")
      public class TestReport
      extends DefaultTask

  Generates an HTML test report from the results of one or more `Test` tasks.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestReport()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.gradle.internal.operations.BuildOperationExecutor` | `getBuildOperationExecutor()` |
    `File` | `getDestinationDir()` | Returns the directory to write the HTML report to.
    `protected ObjectFactory` | `getObjectFactory()` |
    `FileCollection` | `getTestResultDirs()` | Returns the set of binary test results to include in the report.
    `void` | `reportOn​(Object... results)` | Adds some results to include in the report.
    `void` | `setDestinationDir​(File destinationDir)` | Sets the directory to write the HTML report to.
    `void` | `setTestResultDirs​(Iterable<File> testResultDirs)` | Sets the binary test results to use to include in the report.

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `appendParallelSafeAction, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getOnlyIf, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, prependParallelSafeAction, setImpliesSubProjects`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gradle.api.Task

      `getConvention`

- - ### Constructor Detail

    - #### TestReport

          public TestReport()

  - ### Method Detail

    - #### getBuildOperationExecutor

          @Inject
          protected org.gradle.internal.operations.BuildOperationExecutor getBuildOperationExecutor()

    - #### getObjectFactory

          @Inject
          protected ObjectFactory getObjectFactory()

    - #### getDestinationDir

          @OutputDirectory
          public File getDestinationDir()

      Returns the directory to write the HTML report to.

    - #### setDestinationDir

          public void setDestinationDir​(File destinationDir)

      Sets the directory to write the HTML report to.

    - #### getTestResultDirs

          @PathSensitive(NONE)
          @InputFiles
          @SkipWhenEmpty
          public FileCollection getTestResultDirs()

      Returns the set of binary test results to include in the report.

    - #### setTestResultDirs

          public void setTestResultDirs​(Iterable<File> testResultDirs)

      Sets the binary test results to use to include in the report. Each entry must point to a binary test results directory generated by a `Test` task.

    - #### reportOn

          public void reportOn​(Object... results)

      Adds some results to include in the report.

      This method accepts any parameter of the given types:

      - A `Test` task instance. The results from the test task are included in the report. The test task is automatically added as a dependency of this task.
      - Anything that can be converted to a set of `File` instances as per `Project.files(Object...)`. These must point to the binary test results directory generated by a `Test` task instance.
      - An `Iterable`. The contents of the iterable are converted recursively.
      Parameters:
        `results` - The result objects.